شما این محصولات را انتخاب کرده اید

سبد خرید

fix pluggable php file errors in wordpress
شناسه پست: 5161
بازدید: 58

نحوه رفع خطاهای فایل Pluggable.php در وردپرس

آیا در سایت وردپرس خود با خطاهای فایل Pluggable.php مواجه شده اید؟ اکثر اوقات این خطا پس از اضافه کردن یک قطعه کد به سایت یا فعال کردن یک افزونه جدید رخ می دهد. ما در ادامه نحوه رفع خطا Pluggable.php را آموزش می دهیم.

fix pluggable php file errors in wordpress

علت رخ دادن خطای Pluggable.php

وردپرس به کاربران و افزونه ها اجازه می دهد تا برخی عملکردهای اصلی را نادیده بگیرند. این توابع در پرونده pluggable.php قرار دارند.

اگر یک افزونه وردپرس یا یک قطعه کد سفارشی نتواند به درستی یکی از این عملکردها را انجام دهد، شما خطایی مانند این را مشاهده خواهید کرد:

Warning: Cannot modify header information – headers already sent by (output started at /home/username/demosite/wp-content/themes/mytheme/functions.php:1035) in /home/username/demosite/wp-includes/pluggable.php on line 1179

pluggableerror

همچنین گاهی اوقات ممکن است این خطا در پیشخوان وردپرس رخ دهد و شما همچنان بتوانید در سایت به کار خود ادامه دهید.

با این توضیحات وقت آن است که به نحوه حل خطای Pluggable.php بپردازیم.

حل خطا فایل Pluggable.php در وردپرس

Pluggable.php یکی از فایل های اصلی وردپرس است و ما هرگز توصیه نمی کنیم که حتی اگر خطایی به آن اشاره داشته باشد، آن فایل را ویرایش کنید.

در بیشتر موارد، این خطا در واقع از مکان دیگری به وجود می آید و برای رفع این خطا، تمرکز بر روی مکان ذکر شده ضروری است.

بیاید به یک مثال دیگر در مورد این خطا بپردازیم:

Warning: Cannot modify header information – headers already sent by (output started at /home/username/exampewebsite/wp-content/themes/mytheme/functions.php:134) in /home/username/examplewebsite/wp-includes/pluggable.php on line 1123

در مثال بالا، خطا در موقعیت مکانی در فایل function.php قالب وردپرس و همچنین در خط 1123 نشان داده شده است.

پس این باعث می شود تا شما سر درگم نشوید و مستقیم به سراغ فایل function.php بروید و خط 1123 را تغییر یا اصلاح کنید و ببینید چه چیزی باعث رخ دادن این خطا شده است.

در بعضی مواقع، می تواند یک مسئله ساده برای فضای اضافی یا برچسب php؟> باشد.

همچنین گاهی اوقات ممکن است یک افزونه خاص دلیل اصلی بروز خطا باشد. در چنین مواردی، خطا چیزی شبیه به این است:

Warning: Cannot modify header information – headers already sent by (output started at /home/username/exampewebsite/wp-content/plugins/pluginname/example-plugin.php:134) in /home/username/examplewebsite/wp-includes/pluggable.php on line 1123

با مشاهده چنین پیامی به راحتی می توان نتیجه گرفت که دلیل این خطا یک افزونه وردپرس است. برای رفع این مشکل، می توانید افزونه را غیرفعال کنید و در مورد خطا به نویسنده افزونه اطلاع دهید.

پس همانطور که در بالا هم توضیح دادیم، خطای Pluggable.php اغلب توسط خود فایل ایجاد نمی شود بلکه توسط یک افزونه با کد نویسی ضعیف یا یک قطعه کد سفارشی ایجاد می شود. در بعضی موارد هم قالب وردپرس شما نیز می تواند مقصر این مشکل باشد.

بنابراین، بهترین راه در اینجا بررسی قطعه کد یا غیرفعال کردن افزونه مقصر است.

امیدواریم که خطای فایل Pluggable.php را در سایت وردپرس خود حل کرده باشید. همچنین پیشنهاد می کنیم حتما صفحه عیب یابی خطاهای وردپرس را ببینید تا همیشه بعد از ایجاد خطا، خیلی سریع علت خطا و نحوه رفع آن را پیدا کنید.

نویسنده

طراح سفید
طراحی و برنامه نویسی سایت و اپلیکشن